#version 450 core

layout (location = 1) in vec2 vPos;
layout (location = 1) in vec2 vTexCoord;

out vec2 texCoord;

uniform float   g_time;
uniform mat4    m_proj;
uniform mat4    m_translate;


void main(){
    gl_Position = m_proj * m_translate * vec4(vec3(vPos, 0.0), 1.0);
    texCoord = vTexCoord;
}
